;;
;; ep-19.el
;;   Tue Jul  4 00:48:47 1995
;;
;;   Setup ep-face for editing mode specified
;;   by variable my-ep-default-mode.
;;
(if window-system (require 'hilit19))
(defvar my-ep-default-mode-list '(text-mode indented-text-mode))

;; Dummy defvar. Dirty.
(defvar ep-printer-ctrl-seq-dict
  ; ctrl beg.,  enable-ctrl,  disable-ctrl, face in emacs 19.
  '(("\\-{"   "\eX"  "\eY" cyan)	; PCPR underscore.
    ("\\b{"   "\e!"  "\e\"" bold)	; PCPR boldface.
    ("\\^{"   "\es1" "\es0" orange)	; PCPR superscript.
    ("\\_{"   "\es2"  "\es0" Plum1))	; PCPR subscript.
    "A list of printer control sequence.  Looks like:
(LIST1 LIST2 LIST3 ...)
where LISTn is structured as:
(USER-INPUT-SEQUENCEn  ENABLE-CTRL-SEQUENCEn  DISABLE-CTRL-SEQUENCEn FACE)
ENABLE-CTRL-SEQUENCEn and DISABLE-CTRL-SEQUENCEn is Printer control string.
USER-INPUT-SEQUENCEn is a string sequence which is entered in text to be
formatted.  Currently USER-INPUT-SEQUENCEn is searched by non-regexp search.
FACE is your favourite face in which special printing text in the mode
specified by a variable my-ep-printer-ctrl-seq-dict. FACE means nothing in
V18 Emaces.")

(let ((lis my-ep-default-mode-list) my-ep-default-mode)
  (while lis
    (setq my-ep-default-mode (car lis))
    (setq
     hilit-patterns-alist
     (append 
      (list
       (append
	(list my-ep-default-mode t)
	(let ((tem nil) (lis1 ep-printer-ctrl-seq-dict))
	  (while lis1
	    (if (nth 3 (car lis1))
		(setq tem 
		      (append tem
			      (list
			       (list
				(concat "\\" (nth 0 (car  lis1)))
				"\}"
				(nth 3 (car lis1))))))
	      (error (format "Invalid ep-printer-ctrl-seq-dict entry %s"
			     (nth 3 (car lis1)))))
	    (setq lis1 (cdr lis1)))
	  tem)))
      hilit-patterns-alist))
    (setq lis (cdr lis))))

(provide 'ep-19)
