;;
;; ep-seq.el
;; Mark region with printer sequence.
;;
;; Copyright S.Namba 1995
;; Mon Mar 20 18:18:00 1995
;;
;(setq-default ep-printer-ctrl-seq-dict
;  ; face property element added. Fri Mar 17 21:35:21 1995
;  ; Hope works with ep.el....
;  ; ctrl beg.,  enable-ctrl,  disable-ctrl, face in emacs 19.
;  '(("\\-{"   "\eX"  "\eY" 'cyan)		; PCPR underscore.
;    ("\\b{"   "\e!"  "\e\"" 'bold)		; PCPR boldface.
;    ("\\^{"   "\es1" "\es0" 'orange)		; PCPR superscript.
;    ("\\_{"   "\es2"  "\es0" 'Plum1)))		; PCPR subscript.

; autoload examples in ~/.emacs:
;(autoload 'ep-underscore-region	"ep-seq" nil t)
;(autoload 'ep-insert-underscore	"ep-seq" nil t)
;(global-set-key "\e_" 'ep-underscore-region)
;(global-set-key "\e\"" 'ep-insert-underscore)

(if window-system (require 'hilit19))
(defun ep-underscore-region (rb re)
  "Inserts undersocres beginning and ending sequence at REGIONBEG, and REGEND."
  (interactive "*r")
  ;; I don't use convenient (region-beginning) and (region-end) here
  ;; to support non-interactive use.
  ;; Insert ending sequence first (or `re' value is going to be invalid).
  (save-excursion
    (goto-char re)
    (insert "}"))
  (save-excursion
    (goto-char rb)
    (insert "\\-{"))
  (if window-system (hilit-repaint-command nil))
  )

(defun ep-insert-underscore (arg)
  "Inserts \\-{} (ep underscore paren). With non-nil arg, don't move back cursor."
  (interactive "*P")
  (insert "\\-{}")
  (or arg
      (backward-char 1))
  (if window-system (hilit-repaint-command nil))
  )
